Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac_instr_t Struct Reference

`#include <dirac_encoder.h>`

Collaboration diagram for dirac_instr_t:
[legend]

List of all members.

## Public Attributes

- dirac_picture_type_t ptype
- dirac_reference_type_t rtype
- int pnum
- int num_refs
- int refs [2]
- int xbsep
- int ybsep
- int mb_xlen
- int mb_ylen
- int mv_xlen
- int mv_ylen
- int * mb_split_mode
- float * mb_costs
- int * pred_mode
- float * intra_costs
- dirac_mv_cost_t * bipred_costs
- short * dc_ycomp
- short * dc_ucomp
- short * dc_vcomp
- dirac_mv_t * mv [2]
- dirac_mv_cost_t * pred_costs [2]

## Detailed Description

Structure that diagnostics data returned by the encoder

## Member Data Documentation

dirac_picture_type_t dirac_instr_t::ptype

Frame type

dirac_reference_type_t dirac_instr_t::rtype

Reference type

int dirac_instr_t::pnum

Picture number

int dirac_instr_t::num_refs

Number of reference pictures

int dirac_instr_t::refs[2]

Array of Reference picture numbers

int dirac_instr_t::xbsep

Block separation in X direction

int dirac_instr_t::ybsep

Block separation in Y direction

int dirac_instr_t::mb_xlen

MacroBlock length in X direction

int dirac_instr_t::mb_ylen

MacroBlock length in Y direction

int dirac_instr_t::mv_xlen

Motion Vector array length in X direction

int dirac_instr_t::mv_ylen

Motion Vector array length in Y direction

int* dirac_instr_t::mb_split_mode

Macro-block split mode array - mb_ylen*mb_xlen

float* dirac_instr_t::mb_costs

Macro-block costs array - mb_ylen*mb_xlen

int* dirac_instr_t::pred_mode

Block prediction mode - mv_xlen*mv_ylen

float* dirac_instr_t::intra_costs

Block intrac costs - mv_xlen*mv_ylen

dirac_mv_cost_t* dirac_instr_t::bipred_costs

Bi prediction costs - mv_xlen*mv_ylen*2

short* dirac_instr_t::dc_ycomp

DC values of y_comp

short* dirac_instr_t::dc_ucomp

DC values of u_comp

short* dirac_instr_t::dc_vcomp

DC values of v_comp

dirac_mv_t* dirac_instr_t::mv[2]

Motion vectors for Reference frames mv_ylen*mv_xlen

dirac_mv_cost_t* dirac_instr_t::pred_costs[2]

Predictions costs for Reference frames mv_ylen*mv_xlen

The documentation for this struct was generated from the following file:

- dirac_encoder.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.